Subject: Re: Networking hangs when too many parallel requests are made at once

From: Ben Greear <[email-masked]>
Date: Tue, 09 Nov 2010 14:29:24 -0800

On 11/09/2010 02:20 PM, Luke Hutchison wrote:
> On Tue, Nov 9, 2010 at 5:14 PM, Ben Greear<[email-masked]>  wrote:
>> Have you tried using a different DNS server (open-dns?), or maybe a caching
>> one one
>> your local machine?  Maybe some part of your network is throwing away
>> some of your DNS requests since you send so many at once?
>
> I have tried Google's DNS as well as Comcast's, no difference in
> effect.  Also this has been a problem when I've been in the US,
> Portugal, Germany and China, so I have probably used a range of DNS
> servers.  I have tried nscd (it's off by default) and it has the
> expected behavior: if it resolves a name before re-opening the
> browser, then that name can continue to be resolved after the network
> gets flooded.  If I ask it to resolve a domain name after the network
> is flooded, the request times out, and subsequently nscd says the
> domain name doesn't exist, even after the network link has been
> restored to normal.

If you get all names resolved with your caching name-server, can you then
open the browser tabs w/out problem?

Have you tried setting all your browser tabs to simple low-bandwidth pages (no ads being
served from various hosts, etc) to see if that works?

Maybe you are just flooding the network so hard that responses are being
dropped?

Thanks,
Ben

> Thanks,
> Luke

-- 
Ben Greear <[email-masked]>
Candela Technologies Inc  http://www.candelatech.com